#!/bin/ash

case `cat /var/run/platform` in
	Absolut)
		#Rate limit the egress port toward the SP to 10 Mbps
		/usr/local/bin/switch write 0 0x12 0x0a 0x301c

		#Rate limit the broadcast ingress of the wrench port to 5 Mbps. Broadcast only, not muticast or unicast.
		/usr/local/bin/switch write 0 0x11 0x09 0x39
		/usr/local/bin/switch write 0 0x11 0x0a 0xf000
	;;
	Carnegie)
		#The switch base address is at 0x10 for P2 and newer board
		
		#Rate limit the egress port toward the SP to 8 Mbps
		/usr/local/bin/switch write 0 0x1d 0x0a 0x37

		#Rate limit the broadcast ingress of the wrench port to 4 Mbps. Broadcast only, not muticast or unicast.
		/usr/local/bin/switch write 0 0x19 0x0a 0xC630
		
	;;
	*)
	;;
esac

exit 0
